Subject: Re: APU FPU in Virtex ppc405

From: "A. Nolson" <[email-masked]>
Date: Mon, 18 Feb 2008 16:09:32 +0100

Hi Thomas,

 I am still very interested in this. It would be really good if you can 
post what you have so far. Did you also have to patch gcc also? Is there 
any penalty in performance when compiling with -fshort-double?

 /Albert

Thomas Werne wrote:
> A. Nolson <alohanono <at> gmail.com> writes:
>
>   
>> I have been checking and it seems that the APU FPU patches will give 
>> some headaches now, so I will probably wait until they merge them with 
>> the official GCC release. In any case, it seems that the FPU restricts 
>> the PowerPC and bus frequencies to a max of 200/100.
>>
>> Anyway, thanks for the info. I will try to keep track of this in case of 
>> an update.
>>
>>     
>
> Hi -
>
> You can get the FPU to work with the 2.6.24rc3 Linux (I got it to work just
> yesterday).  There are a couple of small changes you have to make to kernel
> config files and to one of the .h files, plus you need to compile with the
> -fshort-double flag to convert all doubles into floats.  Let me know if you're
> still interested and I can post details and/or patches.
>
> Thomas
>
> --
> Thomas Werne
> NASA Jet Propulsion Laboratory
>
> All personal and professional opinions presented herein are my
> own and do not, in any way, represent the opinion or policy of JPL.
>
>
> _______________________________________________
> Linuxppc-embedded mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-embedded
>
>